event_groups.c File Reference
`#include <stdlib.h>`
`#include "FreeRTOS.h"`
`#include "task.h"`
`#include "timers.h"`
`#include "event_groups.h"`
Include dependency graph for event_groups.c:

## Data Structures

struct | xEventGroupDefinition

## Macros

#define | MPU_WRAPPERS_INCLUDED_FROM_API_FILE
#define | eventCLEAR_EVENTS_ON_EXIT_BIT 0x01000000UL
#define | eventUNBLOCKED_DUE_TO_BIT_SET 0x02000000UL
#define | eventWAIT_FOR_ALL_BITS 0x04000000UL
#define | eventEVENT_BITS_CONTROL_BYTES 0xff000000UL

## Typedefs

typedef struct xEventGroupDefinition | EventGroup_t

## Functions

static BaseType_t | prvTestWaitCondition (const EventBits_t uxCurrentEventBits, const EventBits_t uxBitsToWaitFor, const BaseType_t xWaitForAllBits) PRIVILEGED_FUNCTION
EventGroupHandle_t | xEventGroupCreate (void)
EventBits_t | xEventGroupSync (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet, const EventBits_t uxBitsToWaitFor, TickType_t xTicksToWait)
EventBits_t | xEventGroupWaitBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToWaitFor, const BaseType_t xClearOnExit, const BaseType_t xWaitForAllBits, TickType_t xTicksToWait)
EventBits_t | xEventGroupClearBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToClear)
EventBits_t | xEventGroupGetBitsFromISR (EventGroupHandle_t xEventGroup)
EventBits_t | xEventGroupSetBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet)
void | vEventGroupDelete (EventGroupHandle_t xEventGroup)
void | vEventGroupSetBitsCallback (void *pvEventGroup, const uint32_t ulBitsToSet)
void | vEventGroupClearBitsCallback (void *pvEventGroup, const uint32_t ulBitsToClear)

## Macro Definition Documentation

## eventCLEAR_EVENTS_ON_EXIT_BIT

#define eventCLEAR_EVENTS_ON_EXIT_BIT 0x01000000UL

## eventEVENT_BITS_CONTROL_BYTES

#define eventEVENT_BITS_CONTROL_BYTES 0xff000000UL

## eventUNBLOCKED_DUE_TO_BIT_SET

#define eventUNBLOCKED_DUE_TO_BIT_SET 0x02000000UL

## eventWAIT_FOR_ALL_BITS

#define eventWAIT_FOR_ALL_BITS 0x04000000UL

## MPU_WRAPPERS_INCLUDED_FROM_API_FILE

#define MPU_WRAPPERS_INCLUDED_FROM_API_FILE

## Typedef Documentation

## EventGroup_t

typedef struct xEventGroupDefinition EventGroup_t

## Function Documentation

## prvTestWaitCondition()

static BaseType_t prvTestWaitCondition | ( | const EventBits_t | uxCurrentEventBits,
|  | const EventBits_t | uxBitsToWaitFor,
|  | const BaseType_t | xWaitForAllBits
| ) |  |

static

Here is the caller graph for this function:

## vEventGroupClearBitsCallback()

void vEventGroupClearBitsCallback | ( | void * | pvEventGroup,
|  | const uint32_t | ulBitsToClear
| ) |  |

Here is the call graph for this function:

## vEventGroupDelete()

void vEventGroupDelete | ( | EventGroupHandle_t | xEventGroup | ) |

event_groups.h

       void xEventGroupDelete( EventGroupHandle_t xEventGroup );

Delete an event group that was previously created by a call to xEventGroupCreate(). Tasks that are blocked on the event group will be unblocked and obtain 0 as the event group's value.

Parameters

  xEventGroup | The event group being deleted.

Here is the call graph for this function:

## vEventGroupSetBitsCallback()

void vEventGroupSetBitsCallback | ( | void * | pvEventGroup,
|  | const uint32_t | ulBitsToSet
| ) |  |

Here is the call graph for this function:

## xEventGroupClearBits()

EventBits_t xEventGroupClearBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToClear
| ) |  |

Here is the caller graph for this function:

## xEventGroupCreate()

EventGroupHandle_t xEventGroupCreate | ( | void |  | ) |

Here is the call graph for this function:

## xEventGroupGetBitsFromISR()

EventBits_t xEventGroupGetBitsFromISR | ( | EventGroupHandle_t | xEventGroup | ) |

## xEventGroupSetBits()

EventBits_t xEventGroupSetBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToSet
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## xEventGroupSync()

EventBits_t xEventGroupSync | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToSet,
|  | const EventBits_t | uxBitsToWaitFor,
|  | TickType_t | xTicksToWait
| ) |  |

Here is the call graph for this function:

## xEventGroupWaitBits()

EventBits_t xEventGroupWaitBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToWaitFor,
|  | const BaseType_t | xClearOnExit,
|  | const BaseType_t | xWaitForAllBits,
|  | TickType_t | xTicksToWait
| ) |  |

Here is the call graph for this function: